# contact: @a_cg_player

import image
import twitter
import imgur
import io
import time
import re
from collections import Counter

def entry(grid):
    im = image.draw(grid)
    im_data = io.BytesIO()
    im.save(im_data, format="png")

    im_data.seek(0)
    url = imgur.upload(im_data)

    twitter.send(f"how many rectangles are in the image? 😛 😛 😛 {url} #cg28")

    i = 0
    answers = Counter()
    seen = set()

    while i < 60*60 or answers.total() < 5 and (not answers or i < 24*60*60):
        time.sleep(500)
        i += 500

        for reply in twitter.get_replies():
            if reply.id in seen:
                continue
            seen.add(reply.id)

            s = set([int(x.replace(",", "").replace(".", "")) for x in re.findall(r"[\d,.]+", reply.text)])
            if len(s) == 1:
                answers[s.pop()] += 1

    return answers.most_common(1)[0]
